> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Batch Jobs

> Lists batch dial jobs for the workspace.



## OpenAPI

````yaml get /batch_dial_jobs
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /batch_dial_jobs:
    get:
      summary: List Batch Jobs
      description: Lists batch dial jobs for the workspace.
      operationId: listBatchDialJobs
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
          required: false
          description: The number of jobs to return.
        - in: query
          name: cursor
          schema:
            type: string
          required: false
          description: The cursor for pagination.
        - in: query
          name: status
          schema:
            $ref: '#/components/schemas/BatchDialJobStatus'
          required: false
        - in: query
          name: callAgentId
          schema:
            type: string
          required: false
        - in: query
          name: userId
          schema:
            type: string
          required: false
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchDialJobsResult'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    BatchDialJobStatus:
      type: string
      enum:
        - INIT
        - ACTIVE
        - PAUSED
        - COMPLETE
        - CANCELLED
    BatchDialJobsResult:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BatchDialJob'
        cursor:
          type: string
          nullable: true
      required:
        - data
        - cursor
    BatchDialJob:
      type: object
      properties:
        id:
          type: string
        maxConcurrentDials:
          type: integer
        name:
          type: string
        status:
          $ref: '#/components/schemas/BatchDialJobStatus'
        fromPhoneNumberIds:
          type: array
          items:
            type: string
          x-go-type-skip-optional-pointer: true
        schedule:
          $ref: '#/components/schemas/WeeklySchedule'
          nullable: true
        callAgentId:
          type: string
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - maxConcurrentDials
        - name
        - status
        - callAgentId
        - createdAt
    WeeklySchedule:
      type: object
      properties:
        days:
          type: array
          items:
            $ref: '#/components/schemas/DaySchedule'
          x-go-type-skip-optional-pointer: true
        timezone:
          type: string
      required:
        - days
        - timezone
    DaySchedule:
      type: object
      properties:
        dayOfWeek:
          type: integer
        timeSlots:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleTimeSlot'
      required:
        - dayOfWeek
        - timeSlots
    ScheduleTimeSlot:
      type: object
      properties:
        startTime:
          type: string
        endTime:
          type: string
      required:
        - startTime
        - endTime
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````